<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/cores/Flash/synthesis/Flash.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_51d9c9f08f6806a0f97badf342e5b4d7.html">cores</a></li><li class="navelem"><a class="el" href="dir_95758a1ac2f4225326e1fc9cb6d907b8.html">Flash</a></li><li class="navelem"><a class="el" href="dir_6c3ab042a071a88928183d5f24dfb3ae.html">synthesis</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Flash.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">-- Flash.vhd</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- Generated using ACDS version </span><span class="vhdllogic">16</span>.<span class="vhdllogic">0</span> <span class="vhdllogic">211</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="vhdlkeyword">library </span><span class="keywordflow">IEEE</span>;</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="vhdlkeyword">use </span>IEEE.std_logic_1164.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="vhdlkeyword">use </span>IEEE.numeric_std.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keywordflow">entity </span><a class="code" href="classFlash.html">Flash</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <span class="vhdlkeyword">port</span> <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;        <span class="vhdlchar">addr</span>          <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">23</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --          addr.addr</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;        <span class="vhdlchar">bulk_erase</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --    bulk_erase.bulk_erase</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;        <span class="vhdlchar">busy</span>          <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --          busy.busy</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;        <span class="vhdlchar">clkin</span>         <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --         clkin.clk</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <span class="vhdlchar">data_valid</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --    data_valid.data_valid</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        <span class="vhdlchar">datain</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>  <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --        datain.datain</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="vhdlchar">dataout</span>       <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                     --       dataout.dataout</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        fast_read     : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;0&#39;;             --     fast_read.fast_read</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="vhdlchar">illegal_erase</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        -- illegal_erase.illegal_erase</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="vhdlchar">illegal_write</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        -- illegal_write.illegal_write</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="vhdlchar">rden</span>          <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --          rden.rden</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="vhdlchar">read_address</span>  <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">23</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                    --  read_address.read_address</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="vhdlchar">read_status</span>   <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --   read_status.read_status</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="vhdlchar">reset</span>         <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --         reset.reset</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="vhdlchar">shift_bytes</span>   <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --   shift_bytes.shift_bytes</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="vhdlchar">status_out</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                     --    status_out.status_out</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="vhdlchar">wren</span>          <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --          wren.wren</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="vhdlchar">write</span>         <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="keyword">              --         write.write</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">entity</span> <span class="vhdlchar">Flash</span>;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="code" href="classFlash_1_1rtl.html">   32</a></span>&#160;<span class="vhdlkeyword">architecture</span> rtl <span class="vhdlkeyword">of</span> <a class="code" href="classFlash.html">Flash</a> is</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="vhdlkeyword">component</span> <a class="code" href="enumFlash__asmi__parallel__0.html">Flash_asmi_parallel_0</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="vhdlkeyword">port</span> (</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;            clkin         : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- clk</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;            fast_read     : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- fast_read</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;            rden          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- rden</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;            addr          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">23</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- addr</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;            read_status   : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- read_status</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;            write         : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- write</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;            datain        : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)  := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- datain</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;            shift_bytes   : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- shift_bytes</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;            bulk_erase    : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- bulk_erase</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;            wren          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- wren</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;            reset         : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- reset</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;            dataout       : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                     <span class="keyword">-- dataout</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;            busy          : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- busy</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            data_valid    : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- data_valid</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;            status_out    : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                     <span class="keyword">-- status_out</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            illegal_write : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- illegal_write</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            illegal_erase : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- illegal_erase</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            read_address  : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">23</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)<span class="keyword">                     -- read_address</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        );</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">component</span> <span class="vhdlchar">Flash_asmi_parallel_0</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="vhdlkeyword">begin</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    asmi_parallel_0 : <span class="vhdlkeyword">component</span> <a class="code" href="enumFlash__asmi__parallel__0.html">Flash_asmi_parallel_0</a></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="vhdlkeyword">port</span> <span class="vhdlkeyword">map</span> (</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            clkin          =&gt; clkin,<span class="keyword">         --         clkin.clk</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            fast_read      =&gt; fast_read,<span class="keyword">     --     fast_read.fast_read</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            rden           =&gt; rden,<span class="keyword">          --          rden.rden</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;            addr           =&gt; addr,<span class="keyword">          --          addr.addr</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            read_status    =&gt; read_status,<span class="keyword">   --   read_status.read_status</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            write          =&gt; write,<span class="keyword">         --         write.write</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            datain         =&gt; datain,<span class="keyword">        --        datain.datain</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;            shift_bytes    =&gt; shift_bytes,<span class="keyword">   --   shift_bytes.shift_bytes</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            bulk_erase     =&gt; bulk_erase,<span class="keyword">    --    bulk_erase.bulk_erase</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            wren           =&gt; wren,<span class="keyword">          --          wren.wren</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            reset          =&gt; reset,<span class="keyword">         --         reset.reset</span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            dataout        =&gt; dataout,<span class="keyword">       --       dataout.dataout</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            busy           =&gt; busy,<span class="keyword">          --          busy.busy</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            data_valid     =&gt; data_valid,<span class="keyword">    --    data_valid.data_valid</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            status_out     =&gt; status_out,<span class="keyword">    --    status_out.status_out</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            illegal_write  =&gt; illegal_write,<span class="keyword"> -- illegal_write.illegal_write</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            illegal_erase  =&gt; illegal_erase,<span class="keyword"> -- illegal_erase.illegal_erase</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            read_address   =&gt; read_address   <span class="keyword">--  read_address.read_address</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">architecture</span> <span class="vhdlchar">rtl</span>;<span class="keyword"> -- <span class="vhdlkeyword">of</span> Flash</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:31 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
